> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a digital wallet token's state

> 
 Updates the state of a digital wallet token.

 The possible states are:
 - ```"REQUESTED"```
 - ```"REQUEST_DECLINED"```
 - ```"ACTIVE"```
 - ```"TERMINATED"```
 - ```"SUSPENDED"```
    



## OpenAPI

````yaml /autogenerated/openapi/cards.openapi.json post /cards/{cardId}/digital-wallet-token-transitions
openapi: 3.1.0
info:
  title: Cards API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /cards/{cardId}/digital-wallet-token-transitions:
    post:
      tags:
        - Digital wallets
      summary: Update a digital wallet token's state
      description: |2-

         Updates the state of a digital wallet token.

         The possible states are:
         - ```"REQUESTED"```
         - ```"REQUEST_DECLINED"```
         - ```"ACTIVE"```
         - ```"TERMINATED"```
         - ```"SUSPENDED"```
            
      operationId: createDigitalWalletTransition
      parameters:
        - name: cardId
          in: path
          required: true
          schema:
            description: The ID of the card to work with.
            type:
              - string
            format: uuid
            maxLength: 36
            example: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
        - name: personId
          in: query
          schema:
            description: The ID of the person to work with.
            type:
              - string
            format: uuid
            maxLength: 36
            example: 775596ae-2624-40af-a9dc-9756110a4a04
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type:
                - object
              properties:
                state:
                  type:
                    - string
                  enum:
                    - ACTIVE
                    - SUSPENDED
                    - TERMINATED
                  description: >-
                    The state that you want to update the digital wallet token
                    to. The original state is ```REQUESTED```. You can't update
                    the state if its current value is either
                    ```REQUEST_DECLINED``` or ```TERMINATED```.
                  example: ACTIVE
                digitalWalletToken:
                  type:
                    - string
                  format: uuid
                  description: >-
                    The digital wallet token that you want to update the state
                    of.
                  example: 9d3dee7c-19df-4b71-bbb9-521bb04307bf
              required:
                - state
                - digitalWalletToken
              example:
                state: ACTIVE
                digitalWalletToken: 9d3dee7c-19df-4b71-bbb9-521bb04307bf
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  state:
                    type:
                      - string
                    enum:
                      - ACTIVE
                      - SUSPENDED
                      - TERMINATED
                    description: >-
                      The state that you want to update the digital wallet token
                      to. The original state is ```REQUESTED```. You can't
                      update the state if its current value is either
                      ```REQUEST_DECLINED``` or ```TERMINATED```.
                    example: ACTIVE
                  digitalWalletToken:
                    type:
                      - string
                    format: uuid
                    description: >-
                      The digital wallet token that you want to update the state
                      of.
                    example: 9d3dee7c-19df-4b71-bbb9-521bb04307bf
                  fulfillmentStatus:
                    type:
                      - string
                    enum:
                      - DECISION_RED
                      - DECISION_YELLOW
                      - DECISION_GREEN
                      - REJECTED
                      - PROVISIONED
                    description: The provisioning status of the digital wallet token.
                    example: PROVISIONED
                example:
                  state: ACTIVE
                  digitalWalletToken: 9d3dee7c-19df-4b71-bbb9-521bb04307bf
                  fulfillmentStatus: PROVISIONED
      security:
        - CommonAuth:
            - digital-wallet:transition:any
            - digital-wallet:transition:own
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request POST \
              --url 'https://api.equalsmoney.com/v2/cards/{cardId}/digital-wallet-token-transitions?accountId={{accountId}}' \
              --header 'Authorization: <api-key>' \
              --header 'Content-Type: application/json' \
              --data '
            {
              "state": "ACTIVE",
              "digitalWalletToken": "9d3dee7c-19df-4b71-bbb9-521bb04307bf"
            }
            '
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````